#
# spec file for package knewstuff
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define lname   libKF5NewStuff5
%define _tar_path 5.45
# Full KF5 version (e.g. 5.33.0)
%{!?_kf5_version: %global _kf5_version %{version}}
# Last major and minor KF5 version (e.g. 5.33)
%{!?_kf5_bugfix_version: %global _kf5_bugfix_version %(echo %{_kf5_version} | awk -F. '{print $1"."$2}')}
Name:           knewstuff
Version:        5.45.0
Release:        lp150.1.2
%define kf5_version %{version}
BuildRequires:  attica-qt5-devel >= %{_kf5_bugfix_version}
BuildRequires:  cmake >= 3.0
BuildRequires:  extra-cmake-modules >= %{_kf5_bugfix_version}
BuildRequires:  fdupes
BuildRequires:  karchive-devel >= %{_kf5_bugfix_version}
BuildRequires:  kcompletion-devel >= %{_kf5_bugfix_version}
BuildRequires:  kconfig-devel >= %{_kf5_bugfix_version}
BuildRequires:  kcoreaddons-devel >= %{_kf5_bugfix_version}
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= %{_kf5_bugfix_version}
BuildRequires:  kiconthemes-devel >= %{_kf5_bugfix_version}
BuildRequires:  kio-devel >= %{_kf5_bugfix_version}
BuildRequires:  kitemviews-devel >= %{_kf5_bugfix_version}
BuildRequires:  kservice-devel >= %{_kf5_bugfix_version}
BuildRequires:  ktextwidgets-devel >= %{_kf5_bugfix_version}
BuildRequires:  kwidgetsaddons-devel >= %{_kf5_bugfix_version}
BuildRequires:  kxmlgui-devel >= %{_kf5_bugfix_version}
BuildRequires:  cmake(Qt5Core) >= 5.6.0
BuildRequires:  cmake(Qt5Qml) >= 5.6.0
BuildRequires:  cmake(Qt5Quick) >= 5.6.0
BuildRequires:  cmake(Qt5Widgets) >= 5.6.0
BuildRequires:  cmake(Qt5Xml) >= 5.6.0
Summary:        Framework for downloading and sharing additional application data
License:        LGPL-2.1-or-later
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification.

%package -n %lname
Summary:        Framework for downloading and sharing additional application data
Group:          System/GUI/KDE
Obsoletes:      libKF5NewStuff4
Requires:       %{name}
%if %{with lang}
Recommends:     %lname-lang = %{version}
%endif

%description -n %lname
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification.

%package -n libKF5NewStuffCore5
Summary:        Framework for downloading and sharing additional application data
Group:          System/GUI/KDE

%description -n libKF5NewStuffCore5
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification.

%package imports
Summary:        Framework for downloading and sharing additional application data
Group:          System/GUI/KDE

%description imports
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification.

%package core-devel
Summary:        Framework for downloading and sharing additional application data
Group:          Development/Libraries/KDE
Requires:       attica-qt5-devel >= %{_kf5_bugfix_version}
Requires:       extra-cmake-modules
Requires:       libKF5NewStuffCore5 = %{version}

%description core-devel
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification. Development files.

%package quick-devel
Summary:        Framework for downloading and sharing additional application data
Group:          Development/Libraries/KDE
Requires:       %{name}-core-devel = %{version}
Requires:       %{name}-imports = %{version}
Requires:       extra-cmake-modules

%description quick-devel
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification. Development files.

%package devel
Summary:        Framework for downloading and sharing additional application data
Group:          Development/Libraries/KDE
Requires:       %lname = %{version}
Requires:       %{name}-core-devel = %{version}
Requires:       extra-cmake-modules
Requires:       kservice-devel >= %{_kf5_bugfix_version}
Requires:       kxmlgui-devel >= %{_kf5_bugfix_version}
Requires:       libKF5NewStuffCore5 = %{version}
Requires:       cmake(Qt5Widgets) >= 5.6.0

%description devel
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification. Development files.

%lang_package -n %lname
%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name}5
%endif

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%post -n libKF5NewStuffCore5 -p /sbin/ldconfig

%postun -n libKF5NewStuffCore5 -p /sbin/ldconfig

%if %{with lang}
%files -n %lname-lang -f %{name}5.lang
%endif

%files
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_datadir}/knewstuff/
%{_kf5_datadir}/kmoretools/
%config %{_kf5_configdir}/knewstuff.categories

%files -n %lname
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5NewStuff.so.*

%files -n libKF5NewStuffCore5
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5NewStuffCore.so.*

%files imports
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_qmldir}/

%files core-devel
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5NewStuffCore.so
%{_kf5_libdir}/cmake/KF5NewStuffCore/
%{_kf5_includedir}/knewstuffcore_version.h
%dir %{_kf5_includedir}/KNewStuff3
%{_kf5_includedir}/KNewStuff3/KNSCore/
%{_kf5_includedir}/KNewStuff3/knscore/
%{_kf5_mkspecsdir}/qt_KNewStuffCore.pri

%files quick-devel
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/cmake/KF5NewStuffQuick/
%{_kf5_includedir}/knewstuffquick_version.h

%files devel
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5NewStuff.so
%{_kf5_libdir}/cmake/KF5NewStuff/
%dir %{_kf5_includedir}/KNewStuff3
%{_kf5_includedir}/KNewStuff3/KNS3/
%{_kf5_includedir}/KNewStuff3/kns3/
%{_kf5_includedir}/knewstuff_version.h
%{_kf5_mkspecsdir}/qt_KNewStuff.pri

%changelog
* Sat Apr 14 2018 lbeltrame@kde.org
- Update to 5.45.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.45.0.php
- Changes since 5.44.0:
  * Make it public
  * Remove not necessary QtCore and co
  * Actually vote when clicking stars in the list view (kde#391112)
* Tue Mar 13 2018 lbeltrame@kde.org
- Update to 5.44.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.44.0.php
- Changes since 5.43.0:
  * Add explicit includes to fix build with Qt 5.11
  * Add vokoscreen to KMoreTools and add it to the "screenrecorder" grouping
* Tue Feb 13 2018 lbeltrame@kde.org
- Update to 5.43.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.43.0.php
- Changes since 5.42.0:
  * None
* Tue Jan 16 2018 lbeltrame@kde.org
- Update to 5.42.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.42.0.php
- Changes since 5.41.0:
  * Remove obsolete reviewboardrc file
  * Limit request cache size
  * Require the same internal version as you're building
  * const'ify. Remove virtual when override is defined. Minor optimization
  * Prevent global variables from been using after freeing
* Sun Dec 17 2017 lbeltrame@kde.org
- Update to 5.41.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.41.0.php
- Changes since 5.40.0:
  * Fix some clazy warning
  * Revert "Detach before setting the d pointer" (kde#386156)
  * do not install development tool to aggregate desktop files
  * [knewstuff] Do not leak ImageLoader on error
* Mon Nov 13 2017 lbeltrame@kde.org
- Update to 5.40.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.40.0.php
- Changes since 5.39.0:
  * Remove PreferCache from network requests
  * Don't detach shared pointers to private data when setting previews.
  * Initialize pouinter
  * Check pointer before to use it
  * KMoreTools: Update and fix desktopfiles (kde#369646)
* Mon Oct 23 2017 lbeltrame@kde.org
- Update to 5.39.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.39.0.php
- Changes since 5.38.0:
  * Require Kirigami 2.1 instead of 1.0 for KNewStuffQuick
  * Properly create KPixmapSequence
  * Don't complain the knsregistry file is not present before it's useful
  * Detach before setting the d pointer
* Tue Sep 12 2017 lbeltrame@kde.org
- Update to 5.38.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.38.0.php
- Changes since 5.37.0:
  * kmoretoolstest2 doesn't seem interactive, make it run as autotest
  * Adapt KMoreTools unittests so they can run without "make install".
* Sat Aug 12 2017 christophe@krop.fr
- Update to 5.37.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.37.0.php
- Changes since 5.36.0 :
  * Give a parent to KMoreToolsMenuFactory menus
  * When requesting from the cache, report all entries at bulk
  * install categories file
  * Revert some part of eb2e65a882f0b95efeefe0115d9a942861768ba8
  * Allow to pass SearchRequest to QDebug
  * Add qCDebug
  * install categories file
  * Revert some part of eb2e65a882f0b95efeefe0115d9a942861768ba8
  * Document engine calls
* Wed Jul 12 2017 wbauer@tmo.at
- Move unversioned files to a new knewstuff package to be more
  compliant with the SLPP
* Wed Jul 12 2017 lbeltrame@kde.org
- Update to 5.36.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.36.0.php
- Changes since 5.35.0:
  * install categories file
  * Revert some part of eb2e65a882f0b95efeefe0115d9a942861768ba8
  * Expand KNewStuff documentation
  * Fix incorrect error detection for missing knsrc files
  * Extend unittests to test stable sort.
  * Expose and use Engine's page size variable
  * Fix warnings
  * cmake: use ecm_add_test more
  * Use the right scope for the installpath variable
  * add .arcconfig file
  * Make it possible to use QXmlStreamReader to read a KNS registry file
  * [FEATURE] Option to build & install QCH files with the public API dox
* Sun Jun 11 2017 lbeltrame@kde.org
- Update to 5.35.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.35.0.php
- Changes since 5.34.0:
  * Use a single QNAM (and a disk cache) for HTTP jobs
  * Internal cache for provider data on initialisation
  * Improve some error messages
* Mon May 15 2017 fabian@ritter-vogt.de
- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Allow multiple categories with the same name
  * Improvements
  * Fix i18n puzzle again.
  * KNewStuff: Show file's size information in grid delegate.
  * i18n: fix string puzzle
  * If an entry's size is known, show it in the list view.
  * Register and declare KNSCore::EntryInternal::List as a metatype
  * Don't fall through the switch. Double entries? No please.
  * always close the downloaded file after downloading
* Sat Apr 15 2017 lbeltrame@kde.org
- Update to 5.33.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
  * Upgrade ECM and KF5 version requirements for 5.33.0 release.
  * Upgrade KF5 version to 5.33.0.
* Sun Mar 19 2017 lbeltrame@kde.org
- Update to 5.32.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.32.0.php
- Changes since 5.31.0:
  * Commit translations from l10n-kf5
  * Fix compilation with Qt 5.6
  * Upgrade ECM and KF5 version requirements for 5.32.0 release.
  * Upgrade KF5 version to 5.32.0.
* Fri Feb 17 2017 toddrme2178@gmail.com
- Add libKF5NewStuffCore5 to baselibs.conf
  libKF5NewStuff5-32bit cannot be installed without it.
* Thu Feb  9 2017 hrvoje.senjan@gmail.com
- Update to 5.31.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.31.0.php
* Mon Jan  9 2017 hrvoje.senjan@gmail.com
- Update to 5.30.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.30.0.php
* Sun Dec  4 2016 hrvoje.senjan@gmail.com
- Update to 5.29.0
  * Add new archive management option (subdir) to knsrc
  * Consume the new error signals (set job errors)
  * Handle oddity regarding files disappearing when just created
  * Actually install the core headers, with CamelCases
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.29.0.php
* Sun Nov  6 2016 hrvoje.senjan@gmail.com
- Update to 5.28.0
  * Separate sort roles and filters
  * Make it possible to query installed entries
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.28.0.php
* Sun Oct  2 2016 hrvoje.senjan@gmail.com
- Update to 5.27.0
  * Add KAuthorized checks to allow disabling of ghns in kdeglobals
    (kde#368240)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.27.0.php
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * Uncompress archives in subfolders
  * No longer allow installing to generic data folder because
    of potential security hole
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * Make sure we have a size to offer (kde#364896)
  * Fix "Download dialog fails when all categories missing"
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Don't initialize KNS3::DownloadManager with the wrong categories
  * Extend KNS3::Entry public API
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Do not crash if .desktop files are missing or broken
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Show a warning if there's an error in the Engine
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Fri Dec 11 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * registerServicesByGroupingNames can define default more items
  * Make KMoreToolsMenuFactory::createMenuFromGroupingNames lazy
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * Fix 'KDE Partition Manager' desktop file and homepage URL
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * Add new method fillMenuFromGroupingNames
  * KMoreTools: add many new groupings
  * KMoreToolsMenuFactory: handling for "git-clients-and-actions"
  * createMenuFromGroupingNames: make url parameter optional
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * New set of classes, called KMoreTools and related.
    KMoreTools helps to add hints about external tools which
    are potentially not yet installed. Furthermore, it makes long
    menus shorter by providing a main and more section which is
    also user-configurable.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
- Added kservice-devel (Build)Requires
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
- Drop no longer needed Requires of the devel subpackage:
  karchive-devel and kio-devel
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * Always reload xml data from remote urls
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * Also allow absolute filepaths for configfile parameter.
  * Fix compilation on Windows
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * Many small fixes and cleanups
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * KNewStuff: installing "stuff" works again (porting bug)
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Define kf5_version within package
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
- Add baselibs.conf
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta1.php
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0:
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-alpha2.php
* Sat Feb  8 2014 hrvoje.senjan@gmail.com
- Init knewstuff package
